using System.Linq;
using System.Windows.Controls;

namespace TileViewVirtualization
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();

			DataContext = Enumerable.Range(0, 5000).Select(i => new Item { Image = string.Format("Images/{0}.png", i % 26 + 1), Header = i.ToString() });
		}
	}

	public class Item
	{
		public string Header { get; set; }
		public string Image { get; set; }
	}
}
